Skip to main content
PATCH
Update a project

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

project_id
string
required

Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".

Body

application/json

Project fields that need to be updated. All omitted fields are left unmodified.

title
string | null
Example:

"updated project title"

description
string | null
Example:

"updated project description"

icon
object
is_private
boolean | null

Toggle project privacy.

position
integer | null

a position where the project should be placed in the sidebar

Example:

3

overview_page_id
string | null
Example:

"22"

estimate_system
enum<string> | null

pass an empty string to unset

Available options:
,
fibonacci,
tshirt,
exponential
Example:

"fibonacci"

is_view_only
boolean | null

Response

updated project response

project
object